Recreate a lesson plan from a course and apply all operations
curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/recreate \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/recreate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/lessonPlans/{lessonPlanId}/recreate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"operationCount": 123,
"operationResults": [
{
"success": true,
"errors": [
{
"message": "<string>"
}
]
}
],
"message": "<string>"
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}Lesson Plans
Recreate a lesson plan from a course and apply all operations
Purpose: Recreate a lesson plan from scratch using it’s operation log
When to use:
- When a lesson plan becomes corrupted or out of sync
- For testing or debugging purposes
- After detecting and correcting inconsistencies
What it does:
- Deletes all current lesson plan items
- Rebuilds from the base course structure
- Applies all operations from the operation log in sequence
- Returns the operation results for monitoring and inspection
POST
/
powerpath
/
lessonPlans
/
{lessonPlanId}
/
recreate
Recreate a lesson plan from a course and apply all operations
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Lesson plan ID
⌘I